#!/bin/sh
# 
# Script para Montar o Armazenamento Central FEUP via Samba
# v2.0 (29/06/2009)
# Versoes 1.x (C) 2004-2008 Luis Rei para Chefax I&D
# Versoes 2.x (C) 2009 Filipe Carvalho
# 
# GPLv3 Licensed
#

localuser=$(whoami);

if [ "$localuser" != "feuplive" ]
	then
		uid=1000;
	else
		uid=999;
	fi

USERN=$(zenity --entry --title="Configuração do Armazenamento Central FEUP" --width=500 --text "Insira o seu login da FEUP:" --entry-text "login da feup"); 

PASSW=$(zenity --entry --title="Configuração do Armazenamento Central FEUP" --width=500 --text "Insira a sua password da FEUP:" --hide-text);

zenity --info --title="Configuração do Armazenamento Central FEUP" --width=500 --text "No menu seguinte pode escolher a pasta onde quer que fique acessível a drive remota.\n Se pretender utilizar a localização pré-definida\n(/media/Area_Central), carregue em Cancelar.\nNa linha de comandos poderá ser necessário inserir a password de administração."

FDIR=$(zenity --title="Escolha onde quer colocar o Armazenamento Central" --file-selection --directory --confirm-overwrite);


if [ "$FDIR" != "" ]
	then

		echo $FDIR
	else
		FDIR="/media/Area_Central";
		sudo mkdir $FDIR
		echo $FDIR
	fi

CMD="mount -t smbfs -o uid=$uid,username=$USERN,password=$PASSW //samba.fe.up.pt/$USERN $FDIR"
sudo $CMD

zenity --info --title="Configuração do Armazenamento Central FEUP" --width=500 --text "Verifique na consola se ocorreu algum erro.\nSe não, para aceder à Área Central FEUP basta\nclicar na nova pasta aceder à pasta $FDIR."
